
function printMsg(msg) {
    var first = $("#message").children().get(0);
    $("<p>-- " + msg + "</p>").insertBefore(first);
    console.log(msg);
}

function getValues() {
    var inpoint = parseFloat($("#inpoint").val());
    var duration = parseFloat($("#duration").val());
    var index = parseInt($("#index").val());
    var posX = parseInt($("#pos_x").val());
    var posY = parseInt($("#pos_y").val());

    var width = parseInt($("#width").val());
    var height = parseInt($("#height").val());

    var dirPath = $("#resource_path").val();
    var filePath = $("#file_path").val();
    var content = $("#content").val();

    var trackId = $("#track_id").val();
    var groupId = $("#group_id").val();

    var time = $("#time").val();;

    return {
        trackId: trackId,
        groupId: groupId,
        time: time,

        filePath: filePath,
        dirPath: dirPath,
        content: content,

        duration: duration,
        inPoint: inpoint,
        index: index,
        width: width,
        height: height,
        posX: posX,
        posY: posY
    }
}


function ve_mkdir(filePath) {
    console.log("--- " + filePath);
    var arrpaths = filePath.split('/');
    if (arrpaths.length == 0) {
        return;
    }

    var targetPath = "";
    for (var j = 0; j < arrpaths.length - 1; j++) {
        if (arrpaths[j] == "") continue;

        targetPath = targetPath + "/" + arrpaths[j];
        printMsg("mkdir : " + targetPath);
        try {
            if (FS.stat(targetPath)) {
                console.log("exits : " + targetPath)
            }
        } catch (err) {
            FS.mkdir(targetPath, 0777);
            console.log(FS.stat(targetPath));
        };
    }
}

function downloadBlob(blob, fileName) {
    const url = window.URL.createObjectURL(blob);
    const a = document.createElement('a');
    a.href = url;
    a.download = fileName;
    a.innerHTML = "点击下载-" + fileName + "";
    $("#assets").append(a);
};

function downloadFile(srcFileName, fileName) {
    var blob = new Blob([FS.readFile(srcFileName, {encoding: "binary"})]);
    console.log(blob);
    downloadBlob(blob, fileName);
}

function updateTrackId(track) {
    $("#track_id").val(track.getTrackId());
}